﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\ICTM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ICTM_CONNECT_PRICE') 
 CREATE TABLE T_ICTM_CONNECT_PRICE (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FPURCHASERCODE BIGINT DEFAULT 0 NOT NULL,
FPURCHASERNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FPURCHASERZCSH VARCHAR(50) DEFAULT ' ' NOT NULL,
FPURCHASERSYKJZC BIGINT DEFAULT 0 NOT NULL,
FPURCHASERZGSWJG BIGINT DEFAULT 0 NOT NULL,
FPURCHASERSSGJ VARCHAR(50) DEFAULT ' ' NOT NULL,
FPURCHASERZCDZ VARCHAR(50) DEFAULT ' ' NOT NULL,
FSELLERCODE BIGINT DEFAULT 0 NOT NULL,
FSELLERNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FSELLERZCSH VARCHAR(50) DEFAULT ' ' NOT NULL,
FSELLERSYHJZC BIGINT DEFAULT 0 NOT NULL,
FSELLERZGSWJG BIGINT DEFAULT 0 NOT NULL,
FSELLERSSGJ VARCHAR(50) DEFAULT ' ' NOT NULL,
FSELLERZCDZ VARCHAR(50) DEFAULT ' ' NOT NULL,
FJYTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FTRADCONTENT BIGINT DEFAULT 0 NOT NULL,
FPRICETZTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FREMARK VARCHAR(50) DEFAULT ' ' NOT NULL,
FTZQSR VARCHAR(50) DEFAULT ' ' NOT NULL,
FTZQPBT VARCHAR(50) DEFAULT ' ' NOT NULL,
FTZQROS VARCHAR(50) DEFAULT ' ' NOT NULL,
FJGTZJE VARCHAR(50) DEFAULT ' ' NOT NULL,
FTZHSR VARCHAR(50) DEFAULT ' ' NOT NULL,
FTZHPBT VARCHAR(50) DEFAULT ' ' NOT NULL,
FTZHROS VARCHAR(50) DEFAULT ' ' NOT NULL,
FDKSDSTZE VARCHAR(50) DEFAULT ' ' NOT NULL,
FDKZZSTZE VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ICTM_PRICE_INVOICE') 
 CREATE TABLE T_ICTM_PRICE_INVOICE (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FFPDM VARCHAR(50) DEFAULT ' ' NOT NULL,
FFPHM VARCHAR(50) DEFAULT ' ' NOT NULL,
FGFMC VARCHAR(100) DEFAULT ' ' NOT NULL,
FGFNSRSBH VARCHAR(50) DEFAULT ' ' NOT NULL,
FGFDZDF VARCHAR(50) DEFAULT ' ' NOT NULL,
FGFYHZH VARCHAR(50) DEFAULT ' ' NOT NULL,
FKPLX VARCHAR(50) DEFAULT ' ' NOT NULL,
FFPZT VARCHAR(50) DEFAULT ' ' NOT NULL,
FFPZL VARCHAR(50) DEFAULT ' ' NOT NULL,
FKCE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FKPRQ DATETIME,
FJSHJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FHJJE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FHJSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTZJE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTZSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTZJSHJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FYLPDM VARCHAR(100) DEFAULT ' ' NOT NULL,
FYLPHM VARCHAR(50) DEFAULT ' ' NOT NULL,
FEMAIL VARCHAR(50) DEFAULT ' ' NOT NULL,
FTELEPHONE VARCHAR(50) DEFAULT ' ' NOT NULL,
FSBBH VARCHAR(50) DEFAULT ' ' NOT NULL,
FSBMC VARCHAR(50) DEFAULT ' ' NOT NULL,
FFPLC VARCHAR(50) DEFAULT ' ' NOT NULL,
FBZ VARCHAR(50) DEFAULT ' ' NOT NULL,
FZSFS VARCHAR(50) DEFAULT ' ' NOT NULL,
FFHR VARCHAR(50) DEFAULT ' ' NOT NULL,
FKPR VARCHAR(50) DEFAULT ' ' NOT NULL,
FSKR VARCHAR(50) DEFAULT ' ' NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\ICTM_table.sql **/
