﻿/**Begin C:\anzhuang\PDM_UPGRADE\PDM1\ICTM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ICTM_OTHER_TRANSDETAIL') 
 CREATE TABLE T_ICTM_OTHER_TRANSDETAIL (
FID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FDATASOUCES VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FNUMBER VARCHAR(100) DEFAULT ' ' NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FTAXORG BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FTAXPAYER VARCHAR(50) DEFAULT ' ' NOT NULL,
FRELATEDPARTY BIGINT DEFAULT 0 NOT NULL,
FYEAR DATETIME,
FTRANSAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTRANSACTIONDESC NVARCHAR(500) DEFAULT ' ' NOT NULL,
FTRANSACTIONNOTES NVARCHAR(500) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ICTM_RELATED_FINANCING') 
 CREATE TABLE T_ICTM_RELATED_FINANCING (
FID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FNUMBER VARCHAR(100) DEFAULT ' ' NOT NULL,
FDATASOUCES VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FRELATEDPARTY BIGINT DEFAULT 0 NOT NULL,
FYEAR DATETIME,
FINTERESTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPRINCIPALAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAGREEDINTERESTRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FYEARSTARTDATE DATETIME,
FYEARENDDATE DATETIME,
FTRANSACTIONDESC NVARCHAR(500) DEFAULT ' ' NOT NULL,
FTRANSACTIONNOTES NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FTAXORG BIGINT DEFAULT 0 NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ICTM_SHARING_ORG')
 CREATE TABLE T_ICTM_SHARING_ORG (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FORG BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ICTM_SHARING_RULE')
 CREATE TABLE T_ICTM_SHARING_RULE (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FRULE BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ICTM_SHARING_SCHEME')
 CREATE TABLE T_ICTM_SHARING_SCHEME (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ICTM_SHARING_SCHEME_L')
 CREATE TABLE T_ICTM_SHARING_SCHEME_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);

/**End C:\anzhuang\PDM_UPGRADE\PDM1\ICTM_table.sql **/
