﻿/**Begin C:\anzhuang\PDM_UPGRADE\PDM1\ICTM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ICTM_MEMBER_SETTLE') 
 CREATE TABLE T_ICTM_MEMBER_SETTLE (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FTAXPAYERNAME VARCHAR(2000) DEFAULT ' ' NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FCOUNTRYID BIGINT DEFAULT 0 NOT NULL,
FCURRENCY BIGINT DEFAULT 0 NOT NULL,
FTAXJURISDICTION BIGINT DEFAULT 0 NOT NULL,
FNONRELATEINCOME DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRELATEINCOME DECIMAL(23,10) DEFAULT 0 NOT NULL,
FALLINCOME DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRELATEDINVESTMENT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSQLRHKS DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSJSDS DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJTDQSDS DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRETAINEDEARNINGS DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTANGIBLEASSETS DECIMAL(23,10) DEFAULT 0 NOT NULL,
FEMPLOYEESNUM BIGINT DEFAULT 0 NOT NULL,
FREMARK VARCHAR(500) DEFAULT ' ' NOT NULL,
FDATAGENERMETHOD VARCHAR(50) DEFAULT ' ' NOT NULL,
FCURRENCYTYPE VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ICTM_MEMBER_SETTLE' AND KSQL_COL_NAME ='FREGISTEREDCAPITALCNY')
 ALTER TABLE T_ICTM_MEMBER_SETTLE ADD (FREGISTEREDCAPITALCNY DECIMAL(23,10) DEFAULT 0 NOT NULL );


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ICTM_MEMBER_SETTLE' AND KSQL_COL_NAME ='FNONRELATEINCOMECNY')
 ALTER TABLE T_ICTM_MEMBER_SETTLE ADD (FNONRELATEINCOMECNY DECIMAL(23,10) DEFAULT 0 NOT NULL );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ICTM_MEMBER_SETTLE' AND KSQL_COL_NAME ='FRELATEINCOMECNY')
 ALTER TABLE T_ICTM_MEMBER_SETTLE ADD (FRELATEINCOMECNY DECIMAL(23,10) DEFAULT 0 NOT NULL );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ICTM_MEMBER_SETTLE' AND KSQL_COL_NAME ='FALLINCOMECNY')
 ALTER TABLE T_ICTM_MEMBER_SETTLE ADD (FALLINCOMECNY DECIMAL(23,10) DEFAULT 0 NOT NULL );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ICTM_MEMBER_SETTLE' AND KSQL_COL_NAME ='FRELATEDINVESTMENTCNY')
 ALTER TABLE T_ICTM_MEMBER_SETTLE ADD (FRELATEDINVESTMENTCNY DECIMAL(23,10) DEFAULT 0 NOT NULL );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ICTM_MEMBER_SETTLE' AND KSQL_COL_NAME ='FSQLRHKSCNY')
 ALTER TABLE T_ICTM_MEMBER_SETTLE ADD (FSQLRHKSCNY DECIMAL(23,10) DEFAULT 0 NOT NULL );


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ICTM_MEMBER_SETTLE' AND KSQL_COL_NAME ='FSJSDSCNY')
 ALTER TABLE T_ICTM_MEMBER_SETTLE ADD (FSJSDSCNY DECIMAL(23,10) DEFAULT 0 NOT NULL );


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ICTM_MEMBER_SETTLE' AND KSQL_COL_NAME ='FJTDQSDSCNY')
 ALTER TABLE T_ICTM_MEMBER_SETTLE ADD (FJTDQSDSCNY DECIMAL(23,10) DEFAULT 0 NOT NULL );


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ICTM_MEMBER_SETTLE' AND KSQL_COL_NAME ='FRETAINEDEARNINGSCNY')
  ALTER TABLE T_ICTM_MEMBER_SETTLE ADD (FRETAINEDEARNINGSCNY DECIMAL(23,10) DEFAULT 0 NOT NULL );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ICTM_MEMBER_SETTLE' AND KSQL_COL_NAME ='FTANGIBLEASSETSCNY')
 ALTER TABLE T_ICTM_MEMBER_SETTLE ADD (FTANGIBLEASSETSCNY DECIMAL(23,10) DEFAULT 0 NOT NULL );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ICTM_MEMBER_SETTLE' AND KSQL_COL_NAME ='FREGISTEREDCAPITAL')
 ALTER TABLE T_ICTM_MEMBER_SETTLE ADD (FREGISTEREDCAPITAL DECIMAL(23,10) DEFAULT 0 NOT NULL );


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ICTM_MEMBER_SETTLE' AND KSQL_COL_NAME ='FCAPITALCURRENCY')
 ALTER TABLE T_ICTM_MEMBER_SETTLE ADD (FCAPITALCURRENCY BIGINT DEFAULT 0 NOT NULL );



IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ICTM_MEMBER_SETTLE_HIS')
 CREATE TABLE T_ICTM_MEMBER_SETTLE_HIS (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FSETTLEFIELD VARCHAR(100) DEFAULT ' ' NOT NULL,
FORIGINAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL
);





/**End C:\anzhuang\PDM_UPGRADE\PDM1\ICTM_table.sql **/
